## WebKitDOMHTMLOptionsCollection WebKitDOMHTMLOptionsCollection |

## Functions

WebKitDOMNode * | webkit_dom_html_options_collection_named_item ()
glong | webkit_dom_html_options_collection_get_selected_index ()
void | webkit_dom_html_options_collection_set_selected_index ()
gulong | webkit_dom_html_options_collection_get_length ()

## Properties

gulong | length | Read
glong | selected-index | Read / Write

## Types and Values

struct | WebKitDOMHTMLOptionsCollection

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMHTMLCollection
                ╰── WebKitDOMHTMLOptionsCollection

## Description

## Functions

### webkit_dom_html_options_collection_named_item ()

    WebKitDOMNode *
    webkit_dom_html_options_collection_named_item
                                   (WebKitDOMHTMLOptionsCollection *self,
                                    const gchar *name);

`webkit_dom_html_options_collection_named_item` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLOptionsCollection |
name | A gchar |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_html_options_collection_get_selected_index ()

    glong
    webkit_dom_html_options_collection_get_selected_index
                                   (WebKitDOMHTMLOptionsCollection *self);

`webkit_dom_html_options_collection_get_selected_index` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLOptionsCollection |

#### Returns

A glong

### webkit_dom_html_options_collection_set_selected_index ()

    void
    webkit_dom_html_options_collection_set_selected_index
                                   (WebKitDOMHTMLOptionsCollection *self,
                                    glong value);

`webkit_dom_html_options_collection_set_selected_index` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLOptionsCollection |
value | A glong |

### webkit_dom_html_options_collection_get_length ()

    gulong
    webkit_dom_html_options_collection_get_length
                                   (WebKitDOMHTMLOptionsCollection *self);

`webkit_dom_html_options_collection_get_length` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLOptionsCollection |

#### Returns

A gulong

## Types and Values

### struct WebKitDOMHTMLOptionsCollection

    struct WebKitDOMHTMLOptionsCollection;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong HTMLOptionsCollection:length.

Flags: Read

### The `“selected-index”` property

      “selected-index”           glong

read-write glong HTMLOptionsCollection:selected-index.

Flags: Read / Write

Default value: 0